petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscSpaceGetDimension

Return the dimension of this space, i.e. the number of basis vectors

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceGetDimension(PetscSpace sp, PetscInt *dim)

### Input Parameter

| sp | - The PetscSpace

### Output Parameter

| dim | - The dimension

### See Also

PetscSpaceGetDegree(), PetscSpaceCreate(), PetscSpace

### Level

intermediate

### Location

src/dm/dt/space/interface/space.c
Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages